Delete account wallet
api reference deletes or disables a blockchain receiving address associated with an account use this endpoint when a wallet address linked to an account should no longer receive payments { "name" "delete /v1/accounts/{accountnumber}/account addresses/{accountaddressid}", "method" "delete", "url" "https //sandbox crbcos com/crypto/v1/accounts/{accountnumber}/account addresses/{accountaddressid}", "tab" "examples", "examples" { "languages" \[ { "id" "curl example", "language" "curl", "code" "curl location request delete 'https //sandbox crbcos com/crypto/v1/accounts/123989446893/account addresses/481b6efb c46f 4e88 a5dc b42f013e8c39'\\\\\\\\\n h \\"authorization bearer your access token\\" \\\\\\\\\n h \\"content type application/json\\"" }, { "id" "nodejs example", "language" "nodejs", "code" "var https = require('follow redirects') https;\nvar fs = require('fs');\n\nvar options = {\n 'method' 'delete',\n 'hostname' 'sandbox crbcos com',\n 'path' '/crypto/v1/accounts/123989446893/account addresses/481b6efb c46f 4e88 a5dc b42f013e8c39',\n 'headers' {\n },\n 'maxredirects' 20\n};\n\nvar req = https request(options, function (res) {\n var chunks = \[];\n\n res on(\\"data\\", function (chunk) {\n chunks push(chunk);\n });\n\n res on(\\"end\\", function (chunk) {\n var body = buffer concat(chunks);\n console log(body tostring());\n });\n\n res on(\\"error\\", function (error) {\n console error(error);\n });\n});\n\nreq end();" }, { "id" "python example", "language" "python", "code" "import http client\n\nconn = http client httpsconnection(\\"sandbox crbcos com\\")\npayload = ''\nheaders = {}\nconn request(\\"delete\\", \\"/crypto/v1/accounts/123989446893/account addresses/481b6efb c46f 4e88 a5dc b42f013e8c39\\", payload, headers)\nres = conn getresponse()\ndata = res read()\nprint(data decode(\\"utf 8\\"))" }, { "id" "ruby example", "language" "ruby", "code" "require \\"uri\\"\nrequire \\"net/http\"\n\nurl = uri(\\"https //sandbox crbcos com/crypto/v1/accounts/123989446893/account addresses/481b6efb c46f 4e88 a5dc b42f013e8c39\\")\n\nhttps = net http new(url host, url port)\nhttps use ssl = true\n\nrequest = net http delete new(url)\n\nresponse = https request(request)\nputs response read body\n" }, { "id" "go example", "language" "go", "code" "package main\n\nimport (\n \\"fmt\\"\n \\"net/http\"\n \\"io\\"\n)\n\nfunc main() {\n\n url = \\"https //sandbox crbcos com/crypto/v1/accounts/123989446893/account addresses/481b6efb c46f 4e88 a5dc b42f013e8c39\\"\n method = \\"delete\\"\n\n client = \&http client {\n }\n req, err = http newrequest(method, url, nil)\n\n if err != nil {\n fmt println(err)\n return\n }\n res, err = client do(req)\n if err != nil {\n fmt println(err)\n return\n }\n defer res body close()\n\n body, err = io readall(res body)\n if err != nil {\n fmt println(err)\n return\n }\n fmt println(string(body))\n}" } ], "selectedlanguageid" "curl example" }, "results" { "languages" \[ { "id" "200", "language" "200", "code" "{\n \\"id\\" \\"481b6efb c46f 4e88 a5dc b42f013e8c39\\",\n \\"accountnumber\\" \\"123989446893\\",\n \\"partnerid\\" \\"aa554e0a 910c 435f 89ba b06c01305d57\\",\n \\"title\\" \\"ethereum\\",\n \\"blockchain\\" \\"ethereum\\",\n \\"address\\" \\"0xf586ff87767c2b54f7bdc0f808f1d7758838352b\\",\n \\"tag\\" \\"\\",\n \\"lastmodifiedat\\" \\"2026 05 27t18 42 37 5696787z\\",\n \\"vaultaccountid\\" \\"9\\"\n}" } ], "selectedlanguageid" "200" }, "request" { "pathparameters" \[ { "name" "accountnumber", "kind" "required", "type" "string", "description" "account number associated with the wallet address", "" "account number associated with the wallet address" }, { "name" "accountaddressid", "kind" "required", "type" "string", "description" "unique identifier of the account wallet address to delete or disable", "" "unique identifier of the account wallet address to delete or disable" } ], "queryparameters" \[], "headerparameters" \[], "formdataparameters" \[] }, "response" \[ { "name" "id", "kind" "returned", "type" "string", "description" "unique identifier of the wallet address record" }, { "name" "accountnumber", "kind" "returned", "type" "string", "description" "account number under which the wallet address was registered" }, { "name" "partnerid", "kind" "returned", "type" "string", "description" "your unique id in the cross river system this id is in guid format here it indicates what partner created and owns this account wallet " }, { "name" "title", "kind" "returned", "type" "string", "description" "human readable label for the wallet (for example, eth, sol, ethereum)" }, { "name" "blockchain", "kind" "returned", "type" "string", "description" "blockchain network associated with the wallet (for example, ethereum, solana)" }, { "name" "address", "kind" "returned", "type" "string", "description" "address of the wallet on the blockchain" }, { "name" "tag", "kind" "returned", "type" "string", "description" "tag, memo, or destination tag associated with the wallet address, if the block requires it" }, { "name" "lastmodifiedat", "kind" "returned", "type" "string", "description" "internal cross river value date and time the database entry was last modified in this case, the date and time are in this format yyyy mm ddthh\ mm\ ss\[ mmm]" }, { "name" "vaultaccountid", "kind" "returned", "type" "string", "description" "identifier of the underlying vault account associated with the wallet address" } ], "description" "", "currentnewparameter" { "label" "body parameter", "value" "bodydataparameters" }, "hastryitout" false, "autogeneratedanchorslug" "delete v1accountsaccountnumberaccount addressesacc", "legacyhash" "vmrlbtyazkl4c57tkiz7o" }